# DHG1 (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.kex
Class DHG1

    java.lang.Object
      net.schmizz.sshj.transport.kex.AbstractDHG
          net.schmizz.sshj.transport.kex.DHG1

All Implemented Interfaces:
  KeyExchange

    public class DHG1

extends AbstractDHG

Diffie-Hellman key exchange with SHA-1 and Oakley Group 2 [RFC2409] (1024-bit MODP Group).

See Also:
  RFC 4253

Nested Class Summary
`static class` `DHG1.Factory` Named factory for DHG1 key exchange

Constructor Summary
`DHG1()`

Method Summary
`protected void` `initDH(DH dh)`

Methods inherited from class net.schmizz.sshj.transport.kex.AbstractDHG
`getH, getHash, getHostKey, getK, init, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHG1

    public DHG1()

Method Detail

### initDH

    protected void initDH(DH dh)

  Specified by:
    `initDH` in class `AbstractDHG`

Copyright © 2009-2011. All Rights Reserved.